petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatInvertBlockDiagonal

Inverts the block diagonal entries.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatInvertBlockDiagonal(Mat mat,const PetscScalar **values)

Collective on Mat

### Input Parameters

mat -the matrix

### Output Parameters

values -the block inverses in column major order (FORTRAN-like)

### Note

This routine is not available from Fortran.

### See Also

MatInvertBockDiagonalMat

### Level

advanced

### Location

src/mat/interface/matrix.c

### Examples

src/ksp/ksp/examples/tutorials/ex74.c.html

### Implementations

MatInvertBlockDiagonal_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatInvertBlockDiagonal_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatInvertBlockDiagonal_MPIBAIJ in src/mat/impls/baij/mpi/mpibaij.c
MatInvertBlockDiagonal_SeqBAIJ in src/mat/impls/baij/seq/baij.c
MatInvertBlockDiagonal_IS in src/mat/impls/is/matis.c
MatInvertBlockDiagonal_SeqKAIJ in src/mat/impls/kaij/kaij.c
MatInvertBlockDiagonal_MPIKAIJ in src/mat/impls/kaij/kaij.c
MatInvertBlockDiagonal_MPISELL in src/mat/impls/sell/mpi/mpisell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages